## lightread 1.0.14-0extras12.04.1

=== debian/changelog ===
lightread (1.0.14-0extras12.04.1) precise; urgency=low

  * Initial release.

 -- Jono Cooper <jono@caffeinatedco.de>  Tue, 10 Jul 2012 12:12:42 +1200
