## lightread 1.2.2-0extras12.10.1

=== debian/changelog ===
lightread (1.2.2-0extras12.10.1) quantal; urgency=low

  * New Release.

 -- consindo <jono@jonocooper.com>  Sun, 21 Oct 2012 05:41:34 +0000
