=== debian/control ===
Source: lightread
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: George Czabania <george@czabania.com>
Standards-Version: 3.9.4
XS-Python-Version: current

Package: lightread
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 gir1.2-indicate-0.7,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 gir1.2-dbusmenu-glib-0.4,
 gir1.2-unity-5.0,
 gir1.2-soup-2.4,
 python-xdg,
 gir1.2-webkit-3.0,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: lightweight news reader.
 Lightread is a lightweight Google Reader client. Lightread works offline
 allowing you to get all your news and read it without an internet connection.
 .
 With its stunning design and easy of use, Lightread is the best way to
 read news. It packs many of the features from Google Reader as well as
 Ubuntu specific features such as notifications and launcher integration.
