=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_python2:
 	dh_python2 /opt/extras.ubuntu.com/lightread
-	rm -rf debian/lightread/usr/share/python
+
 
 override_dh_install:
 	dh_install
@@ -30,15 +30,3 @@
 	sed -i "s|__lightread_data_directory__ =.*|__lightread_data_directory__ = '/opt/extras.ubuntu.com/lightread/share/lightread/'|" debian/lightread/opt/extras.ubuntu.com/lightread/lightread*/lightreadconfig.py
 	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/lightread/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/lightread/opt/extras.ubuntu.com/lightread/bin/lightread
 	if [ -d debian/lightread/opt/extras.ubuntu.com/lightread/share/glib-2.0/schemas ]; then glib-compile-schemas debian/lightread/opt/extras.ubuntu.com/lightread/share/glib-2.0/schemas; fi
-
-override_dh_link:
-	# use system copies of jquery and underscore instead.
-	for filename in `find debian/lightread -wholename '*/jquery.js'`; do \
-		rm $$filename; \
-		ln -s /usr/share/javascript/jquery/jquery.js $$filename; \
-	done
-	for filename in `find debian/lightread -wholename '*/underscore.js'`; do \
-		rm $$filename; \
-		ln -s /usr/share/javascript/underscore/underscore.js $$filename; \
-	done
-	dh_link
